export interface Icon {
  label: string;
  search: IconSearch;
  styles: Array<string>;
  svg: IconSvgType;
}
export interface IconSearch {
  terms: Array<string>;
}
export interface IconSvgType {
  solid: IconSvg;
  regular: IconSvg;
}
export interface IconSvg {
  viewBox: Array<string>;
  path: string;
}
export declare class BsIcon {
  icon: string;
  size: number;
  loadOnScrollTo: boolean;
  scrollMargin: string;
  iconDetails: IconSvg;
  visible: boolean;
  el: HTMLElement;
  private _intersectionObserver;
  connectedCallback(): void;
  disconnectedCallback(): void;
  componentWillLoad(): void;
  loadIcon(): Promise<void>;
  render(): any;
  private waitUntilCanLoad;
}
